#include <bits/stdc++.h>
#include "code.h"

using namespace std;

vector<pair<int, int>> ZapisiTacke(int N){
    vector<pair<int, int>> tacke(N+1);
    for(int i=1;i<=N;i++)
    {
        if(i!=3)
        tacke[i]={i,0};
        else
        {
            tacke[3]={2,10};
        }
    }
    return tacke;
}

vector<int> Resi(int N, int Q){
    vector<int> resenje(N+1);
    if(N==1)
    {
        resenje[0]=7;
        resenje[1]=1;
    }
    else if(N==2)
    {
        resenje[0]=6;
        resenje[1]=1;
        resenje[2]=2;
    }
    else if(Pitaj(1, 2, 3)!=0)
    {
        resenje[0]=67;
        for(int i=1;i<=N;i++)
        {
            resenje[i]=i;
        }
    }
    else
    {
        resenje[0]=67;
        for(int i=1;i<=N;i++)
        {
            resenje[i]=N-i+1;
        }
    }
    return resenje;
}